<script setup lang="ts">
import MainLayout from "@/layouts/MainLayout.vue";
import FullLayout from "@/layouts/FullLayout.vue";
import LoadingDialogVue from "./components/LoadingDialog.vue";
import MessageDialog from "./components/MessageDialog.vue";
</script>

<template>
  <component
    :is="$route.meta.layout === 'MainLayout' ? MainLayout : FullLayout"
  ></component>
  <LoadingDialogVue></LoadingDialogVue>
  <MessageDialog></MessageDialog>
</template>

<style scoped></style>
